Cancel an agent action

Base URL
https://{kibana_url}
  • POST /api/fleet/agents/actions/{actionId}/cancel
Auth

Cancel a pending action for a specific agent.

Required authorization

Privileges fleet-agents-all

Path parameters

actionId string required

The ID of the action to cancel

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

No schema is declared for this content type.

Responses

Successful response

application/json
item object required
ack_data object required
agents string[] · max items: 10000
created_at string required
data object required
expiration string
id string required
minimum_execution_duration number
namespaces string[] · max items: 100
rollout_duration_seconds number
sent_at string
source_uri string
start_time string
total number
type string required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}